IPCRM(1)

NOM
ipcrm - Supprimer une file de messages, un jeu de sémaphore ou un segment de mémoire partagée

SYNOPSIS
ipcrm [ -M key | -m id | -Q key | -q id | -S key | -s id ] ... utilisation déconseillée ipcrm [ shm | msg | sem ] id ...

DESCRIPTION
ipcrm supprime des objets de communication entre processus (IPC) System V et les structures de données associées définis sur le système. Afin de les détruire, vous devez être super-utilisateur, le créateur ou le propriétaire des objets. Les objets IPC System V sont de trois types : mémoire partagée, file de messages et sémaphores. La suppression d'une file de message ou d'un ensemble de sémaphores est imédiates (même s'il y a des processus qui disposent d'un identificateur sur l'objet). Un segment de mémoire partagée n'est seulement supprimé qu'après que tous les processus ont détaché (shmdt(2)) l'objet de leur espace d'adressage virtuel. Deus syntaxes sont supportées. L'ancienne syntaxe historique sous Linux utilise un mot-clé de trois lettre indiquant la classe de l'objet à supprimer, suivi d'un ou plusieurs identificateur d'objet IPC de ce type. La syntaxe compatible SUS autorise la spécification de zéro, un ou plusieurs objets des trois types en une seule ligne de commande ; les objets étant repérés par leurs clés ou leurs identificateurs. (Voir plus bas). Clés et identificateurs peuvent être spécifiés en décimal, hexadécimal (commençant par « 0x » ou « 0X »), ou octal (commençant par un « 0 »).

OPTIONS

-M clé_shm
    Supprime le segment de mémoire partagée créé avec clé_shm après son dernier détachement.

-m id_shm
    Supprime le segment de mémoire partagée identifié par id_shm après son dernier détachement.

-Q clé_msg
    Supprimer la file de messages créée avec clé_msg.

-q id_msg
    Supprimer la file de messages identifiée par id_msg.

-S clé_sem
    Supprimer le jeu de sémaphores créé avec clé_sem.

-s id_sem
    Supprimer le jeu de sémaphores identifié par id_sem.

Les détails des suppressions sont décrits dans msgctl(2), shmctl(2), et semctl(2). Les identificateurs et clés sont visibles avec ipcs(1).

NOTES
Dans sa première implémentation sous Linux, ipcrm utilisait la syntaxe déconseillé que nous avons vue dans SYNOPSIS. Les focntionalités présentes dans d'autres implémentations Unix d'ipcrm ont été ajoutée depuis, par exemple la possibilité de supprimer une ressource par sa clé (et pas uniquement son identifieur) en gardant une compatibilité de la ligne de commande avec la précédente syntaxe.

DISPONIBILITÉ
La commande ipcrm fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

VOIR AUSSI
ipcs(1), msgctl(2), msgget(2), semctl(2), semget(2), shmctl(2), shmdt(2), shmget(2), ftok(3)

TRADUCTION
Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 25 juillet 2003 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 ipcrm ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.